# Uses of Class
javax.swing.AbstractButton

Packages that use AbstractButton
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of AbstractButton in javax.swing

Subclasses of AbstractButton in javax.swing
Modifier and Type
Class
Description
`class`
`JButton`
An implementation of a "push" button.
`class`
`JCheckBox`
An implementation of a check box -- an item that can be selected or deselected, and which displays its state to the user.
`class`
`JCheckBoxMenuItem`
A menu item that can be selected or deselected.
`class`
`JMenu`
An implementation of a menu -- a popup window containing `JMenuItem`s that is displayed when the user selects an item on the `JMenuBar`.
`class`
`JMenuItem`
An implementation of an item in a menu.
`class`
`JRadioButton`
An implementation of a radio button -- an item that can be selected or deselected, and which displays its state to the user.
`class`
`JRadioButtonMenuItem`
An implementation of a radio button menu item.
`class`
`JToggleButton`
An implementation of a two-state button.
Fields in javax.swing with type parameters of type AbstractButton
Modifier and Type
Field
Description
`protected Vector<AbstractButton>`
ButtonGroup.`buttons`
The list of buttons participating in this group.
Methods in javax.swing that return types with arguments of type AbstractButton
Modifier and Type
Method
Description
`Enumeration<AbstractButton>`
ButtonGroup.`getElements()`
Returns all the buttons that are participating in this group.
Methods in javax.swing with parameters of type AbstractButton
Modifier and Type
Method
Description
`void`
ButtonGroup.`add(AbstractButton b)`
Adds the button to the group.
`void`
ButtonGroup.`remove(AbstractButton b)`
Removes the button from the group.

## Uses of AbstractButton in javax.swing.plaf.basic

Subclasses of AbstractButton in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicArrowButton`
JButton object that draws a scaled Arrow in one of the cardinal directions.
Methods in javax.swing.plaf.basic with parameters of type AbstractButton
Modifier and Type
Method
Description
`protected void`
BasicButtonListener.`checkOpacity(AbstractButton b)`
Checks the opacity of the `AbstractButton`.
`protected BasicButtonListener`
BasicButtonUI.`createButtonListener(AbstractButton b)`
Returns a new instance of `BasicButtonListener`.
`int`
BasicButtonUI.`getDefaultTextIconGap(AbstractButton b)`
Returns the default gap between a text and an icon.
`protected Border`
BasicToolBarUI.`getNonRolloverBorder(AbstractButton b)`
Returns a non-rollover border for the button.
`static Dimension`
BasicGraphicsUtils.`getPreferredButtonSize(AbstractButton b, int textIconGap)`
Returns the preferred size of the button.
`protected Border`
BasicToolBarUI.`getRolloverBorder(AbstractButton b)`
Returns a rollover border for the button.
`protected void`
BasicButtonUI.`installDefaults(AbstractButton b)`
Installs default properties.
`protected void`
BasicButtonUI.`installKeyboardActions(AbstractButton b)`
Registers keyboard actions.
`protected void`
BasicButtonUI.`installListeners(AbstractButton b)`
Registers listeners.
`protected void`
BasicButtonUI.`paintButtonPressed(Graphics g, AbstractButton b)`
Paints a pressed button.
`protected void`
BasicButtonUI.`paintFocus(Graphics g, AbstractButton b, Rectangle viewRect, Rectangle textRect, Rectangle iconRect)`
Paints a focused button.
`protected void`
BasicToggleButtonUI.`paintIcon(Graphics g, AbstractButton b, Rectangle iconRect)`
Paints an icon in the specified location.
`protected void`
BasicButtonUI.`paintText(Graphics g, AbstractButton b, Rectangle textRect, String text)`
Method which renders the text of the current button.
`protected void`
BasicButtonUI.`uninstallDefaults(AbstractButton b)`
Uninstalls default properties.
`protected void`
BasicButtonUI.`uninstallKeyboardActions(AbstractButton b)`
Unregisters keyboard actions.
`protected void`
BasicButtonUI.`uninstallListeners(AbstractButton b)`
Unregisters listeners.
Constructors in javax.swing.plaf.basic with parameters of type AbstractButton
Modifier
Constructor
Description
``
`BasicButtonListener(AbstractButton b)`
Constructs a new instance of `BasicButtonListener`.

## Uses of AbstractButton in javax.swing.plaf.metal

Subclasses of AbstractButton in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalComboBoxButton`
JButton subclass to help out MetalComboBoxUI
`class`
`MetalScrollButton`
JButton object for Metal scrollbar arrows.
Methods in javax.swing.plaf.metal with parameters of type AbstractButton
Modifier and Type
Method
Description
`void`
MetalButtonUI.`installDefaults(AbstractButton b)`
`void`
MetalRadioButtonUI.`installDefaults(AbstractButton b)`
`void`
MetalToggleButtonUI.`installDefaults(AbstractButton b)`
`protected void`
MetalToggleButtonUI.`paintIcon(Graphics g, AbstractButton b, Rectangle iconRect)`
Paints the appropriate icon of the button `b` in the space `iconRect`.
`void`
MetalButtonUI.`uninstallDefaults(AbstractButton b)`

## Uses of AbstractButton in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth with parameters of type AbstractButton
Modifier and Type
Method
Description
`protected Icon`
SynthButtonUI.`getDefaultIcon(AbstractButton b)`
Returns the default icon.
`protected Icon`
SynthButtonUI.`getIcon(AbstractButton b)`
Returns the Icon to use for painting the button.
`protected Icon`
SynthButtonUI.`getSizingIcon(AbstractButton b)`
Returns the Icon used in calculating the preferred/minimum/maximum size.
`protected Icon`
SynthRadioButtonUI.`getSizingIcon(AbstractButton b)`
Returns the Icon used in calculating the preferred/minimum/maximum size.